La última beta de iOS 9.3 ya no se brickea por el fallo de la fecha de 1970

ios-fecha-ok

Si os preocupa el fallo que puede convertir vuestro iPhone en un pisapapeles al configurarle una fecha de 1970, tenéis que saber que ese problema tiene los días contados. La última beta de iOS 9.3, cuya versión pública fue lanzada ayer martes y la versión para desarrolladores el pasado lunes, evita que un dispositivo iOS de 64-bits (los afectados) se brickee configurándole la fecha fatídica. Si no hay sorpresas, la versión final se lanzará en la semana del 15 de marzo.

El “fallo de 1970” se descubrió a mediados de este mes y, como hemos mencionado anteriormente, brickea cualquier iPhone, iPod Touch o iPad de 64-bits impidiendo que vuelva a iniciar una vez apagado, aunque en realidad no es un brickeo, puesto que esto sí tiene solución. El problema parece ser que la capacidad del dispositivo se ve desbordada cuando el iPhone reinicia la fecha al valor máximo, un número muy alto que los dispositivos iOS no son capaces de procesar.

El fallo de 1970 se corregirá en la próxima versión de iOS

La solución por la que ha optado Apple es de lo más simple: a partir de la cuarta beta de iOS 9.3, la fecha más antigua que se puede configurar es el 31 de diciembre de 2.000 a las 7h o el 1 de enero de 2001 a las 12h, dependiendo de la zona. En cualquier caso, si no es por hacer una especie de broma, ahora mismo no se me ocurre ningún caso en el que yo configuraría una fecha de hace 16 años.

Por otra parte, la cuarta beta de iOS 9.3 también soluciona un problema para los dispositivos que se habrían visto afectados por el fallo de 1970. Si un iPhone se ha quedado en la manzana por este bug, se puede restaurar con la beta que han lanzado esta semana, algo así como el caso de los dispositivos afectados por el infame Error 53. ¿Habéis experimentado el fallo de 1970 y os alegra esta noticia?


Categorías

iOS 9

Pablo Aparicio

Me encantan los dispositivos electrónicos. Mi gran adicción es escuchar toda clase de música y tocar con la guitarra y el bajo la que mis límites... Ver perfil ›

7 comentarios

  1.   elmike11 dijo

    Eso es muy bueno.
    Pero qué mal que tapan un error y sale otro…
    Yo sé; son beta (publica) pero mi Apple Watch (2.1 que antes funcionaba normal) desde esta beta 4 pública deja de recibir notificaciones,
    Hoy es un simple reloj caro sin ser smart.
    Ojalá pasen rápido las 2 semanas para una nueva beta y lo solucionen

    Algunos en reddit dicen de actualizar el Apple Watch a 2.2 , luego desincronizar y volver sincronizar pero (allí otro nudo) aunque ya descargue el perfil de beta en el Watch no me tira la actualización (y la verdad que miedo porque no hay paso atrás)
    ¿Alguna idea? ¿Qué opinas tú que me lees?
    Gracias por echarme un cable y saludos a cada lector.

    1.    Angelr19 dijo

      Me pasó lo mismo, y haciendo lo que pone en reddit se solucionó.

      1. me ha pasado igual he dejado de recibir notificaciones del watch y me ha dejado de funcionar un para de apps

  2.   IOS 5 Forever dijo

    Nunca actualices, asi de simple !!! No merece la pena, si algo funciona No lo toques !! Si tu icacharro viene con una version x de ios dejalo asi ya que esa versión es la que va a funcionar lerfectamente con el mismo. Tengo mi 4s con ios 5 y va como la seda, funcionando como desde el primer dia y sin problemas ni cuelgues ni lag ni nada de nada

    1.    Eduardo dijo

      Pero hay apps que necesitan iOS 8 en adelante para poder usarlo en el móvil 🙂

  3.   Webserveis dijo

    OS 5 Forever y sin poder instalar aplicaciones nuevas, di lo bueno y tambien lo malo, yo tengo un iphone 4 a IOS 6 encantado de la vida con su finura, como telefono funciona perfectamente, telegram, whatsapp, calendario, suerte que instale esas apps cuando aun era compatibles con IOS 6.0.
    Pero todas las que necesitan minimo IOS8 te jodeees sin poderlas probar

  4.   Louis dijo

    Es cierto, hace algun tiempo tenia un iphone 4s con IOS6 y estaba muy fluido , estaba a la par en lo basico (musica, fotos , camara , calendario, notas ) con el iphone 6 , solo por las aplicaciones que muchas ya no eran 100% compatibles y las que estaban , tenian una funcionalidad muy limitada

Escribe un comentario